ACTION=="add", KERNEL=="input/event*", OWNER="system", GROUP="input", MODE="0660"
ACTION=="add", KERNEL=="diag", OWNER="system", GROUP="oem_2901", MODE="0660"
ACTION=="add", KERNEL=="mhi_*_pipe_4", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="genlock", OWNER="system", GROUP="system", MODE="0666"
ACTION=="add", KERNEL=="wlan", OWNER="wifi", GROUP="wifi", MODE="0660"
ACTION=="add", KERNEL=="kgsl", OWNER="system", GROUP="system", MODE="0666"
ACTION=="add", KERNEL=="kgsl-3d0", OWNER="system", GROUP="system", MODE="0666"
ACTION=="add", KERNEL=="kgsl-2d0", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="kgsl-2d1", OWNER="root", GROUP="root", MODE="0666"
ACTION=="add", KERNEL=="ion", OWNER="system", GROUP="system", MODE="0664"
ACTION=="add", KERNEL=="membuf", OWNER="system", GROUP="system", MODE="0664"
ACTION=="add", KERNEL=="mem_buf_vm/*", OWNER="system", GROUP="system", MODE="0444"
ACTION=="add", KERNEL=="dma_heap/qcom,*", OWNER="system", GROUP="system", MODE="0444"
ACTION=="add", KERNEL=="rtc0", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="smd0", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="smd4", OWNER="system", GROUP="system_ext_bridge_rw", MODE="0660"
ACTION=="add", KERNEL=="smd_cxm_qmi", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smd5", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="smd6", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="smd7", OWNER="bluetooth", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="ccid_bridge", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="ipa", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="wwan_ioctl", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="ipa_lnx_stats_ioctl", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="ipaNatTable", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="rmnet_ctrl", OWNER="usb", GROUP="usb", MODE="0660"
ACTION=="add", KERNEL=="dpl_ctrl", OWNER="usb", GROUP="usb", MODE="0660"
ACTION=="add", KERNEL=="ipa_odl_ctl", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="ipa_adpl", OWNER="system", GROUP="oem_2905", MODE="0660"
ACTION=="add", KERNEL=="synx_device", OWNER="root", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="hab", OWNER="system", GROUP="system", MODE="0666"
ACTION=="add", KERNEL=="iio:device*", OWNER="system", GROUP="system", MODE="0664"
ACTION=="add", KERNEL=="qmc_dma", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="qmc_cma", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="drb", OWNER="system", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="0:0:0:49476", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="usb_mtp_gadget", OWNER="system", GROUP="mtp", MODE="0660"
ACTION=="add", KERNEL=="android_ssusbcon", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="ccic_misc", OWNER="system", GROUP="usb", MODE="0664"
ACTION=="add", KERNEL=="0:0:0:4", OWNER="system", GROUP="root", MODE="0600"
ACTION=="add", KERNEL=="smd11", OWNER="radio", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="smd2", OWNER="bluetooth", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="smd3", OWNER="bluetooth", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="btpower", OWNER="bluetooth", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="btfmslim", OWNER="bluetooth", GROUP="system", MODE="0664"
ACTION=="add", KERNEL=="bt_cp_ctrl", OWNER="bluetooth", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="btfmcodec_dev", OWNER="bluetooth", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="pta", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="radio0", OWNER="system", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="rfcomm0", OWNER="bluetooth", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="ttyUSB0", OWNER="bluetooth", GROUP="bluetooth", MODE="0660"
ACTION=="add", KERNEL=="smdcntl0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl1", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl2", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl3", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl4", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl5", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl6", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl7", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcntl8", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev1", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev2", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev3", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev4", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev5", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev6", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev7", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smdcnt_rev8", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="smuxctl32", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl1", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl2", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl3", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl4", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl5", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl6", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl7", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="sdioctl8", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="rmnet_mux_ctrl", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl1", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl2", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl3", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl4", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl5", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl6", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl7", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl8", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl9", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl10", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl11", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl12", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl13", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl14", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl15", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="hsicctl16", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="mhi_*_pipe_14", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="mhi_*_pipe_16", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="mhi_*_pipe_32", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="at_usb0", OWNER="radio", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="at_mdm0", OWNER="system", GROUP="radio", MODE="0640"
ACTION=="add", KERNEL=="video*", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="cvp*", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="media*", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="v4l-subdev*", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="hdmi_bdg_irq_handler", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="qseecom", OWNER="system", GROUP="drmrpc", MODE="0660"
ACTION=="add", KERNEL=="qce", OWNER="system", GROUP="drmrpc", MODE="0660"
ACTION=="add", KERNEL=="smcinvoke", OWNER="system", GROUP="drmrpc", MODE="0660"
ACTION=="add", KERNEL=="qsee_ipc_irq_spss", OWNER="system", GROUP="drmrpc", MODE="0660"
ACTION=="add", KERNEL=="seemplog", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="pft", OWNER="system", GROUP="drmrpc", MODE="0660"
ACTION=="add", KERNEL=="spcom", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="spss_utils", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sp_kernel", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sp_nvm", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sp_ssr", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sp_keymaster", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sp_keymaster_ssr", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="sec_nvm_*", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="cryptoapp", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="spdaemon_ssr", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="spu_hal_ssr", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="iuicc*", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="gemini0", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="jpeg0", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="jpeg1", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="jpeg2", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="jpeg3", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="adsprpc-smd", OWNER="system", GROUP="system", MODE="0664"
ACTION=="add", KERNEL=="adsprpc-smd-secure", OWNER="system", GROUP="system", MODE="0644"
ACTION=="add", KERNEL=="system_health_monitor", OWNER="radio", GROUP="system", MODE="0644"
ACTION=="add", KERNEL=="mdss_rotator", OWNER="system", GROUP="system", MODE="0664"
ACTION=="add", KERNEL=="spec_sync", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="byte-cntr", OWNER="system", GROUP="oem_2902", MODE="0660"
ACTION=="add", KERNEL=="byte-cntr1", OWNER="system", GROUP="oem_2902", MODE="0660"
ACTION=="add", KERNEL=="mhi_qdss", OWNER="system", GROUP="oem_2902", MODE="0660"
ACTION=="add", KERNEL=="qg", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="qg_battery", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="qvr_external_sensor_ioctl", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/001/002", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/001/003", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/001/004", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/001/005", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/002/002", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/002/003", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/002/004", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/002/005", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/003/002", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/003/003", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/003/004", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="bus/usb/003/005", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="hidraw*", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="wcnss_wlan", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="wcnss_ctrl", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="spidev0.0", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="i2c-7", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_camera/*", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="gemini/", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="mercury0", OWNER="system", GROUP="camera", MODE="0660"
ACTION=="add", KERNEL=="msm_vidc_reg", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_vidc_dec", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_vidc_dec_sec", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_vidc_enc", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_rotator", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="hw_random", OWNER="prng_seeder", GROUP="prng_seeder", MODE="0400"
ACTION=="add", KERNEL=="sdsprpc-smd", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="wcd_dsp0_control", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="wcd-dsp-glink", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="audio_slimslave", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_qcelp", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_evrc", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_wma", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_wmapro", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_alac", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_ape", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_amrnb", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_amrwb", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_amrwbplus", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_aac", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_multi_aac", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_aac_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_qcelp_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_evrc_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_amrnb_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_amrwb_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_a2dp_in", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_ac3", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_audio_cal", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_hweffects", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_cad", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_fm", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_mvs", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_pcm_lp_dec", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_preproc_ctl", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_rtac", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_voicememo", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="aud_pasthru_adsp", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_audio_ion_cma", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_audio_ion", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="ttyHSL1", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="ttyHS1", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="ttyHS5", OWNER="root", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="ttyHS8", OWNER="root", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="mdm", OWNER="system", GROUP="radio", MODE="0660"
ACTION=="add", KERNEL=="sdio_tty_ciq_00", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="tty_sdio_00", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="ttyGS0", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="i2c-5", OWNER="media", GROUP="media", MODE="0660"
ACTION=="add", KERNEL=="avtimer", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="spidev2.0", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="msm_adsp_sleepmon", OWNER="system", GROUP="audio", MODE="0660"
ACTION=="add", KERNEL=="dvb/adapter0/demux*", OWNER="media", GROUP="media", MODE="0440"
ACTION=="add", KERNEL=="dvb/adapter0/dvr*", OWNER="media", GROUP="media", MODE="0660"
ACTION=="add", KERNEL=="dvb/adapter0/video*", OWNER="media", GROUP="media", MODE="0660"
ACTION=="add", KERNEL=="tsc_mux0", OWNER="media", GROUP="media", MODE="0660"
ACTION=="add", KERNEL=="tsc_ci0", OWNER="media", GROUP="media", MODE="0660"
ACTION=="add", KERNEL=="sensors", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="gnss_sirf", OWNER="gps", GROUP="gps", MODE="0660"
ACTION=="add", KERNEL=="range_sensor", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="vm_bms", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="battery_data", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="wcnss_wlan", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="wcnss_ctrl", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="nfc-nci", OWNER="nfc", GROUP="nfc", MODE="0660"
ACTION=="add", KERNEL=="nq-nci", OWNER="nfc", GROUP="nfc", MODE="0660"
ACTION=="add", KERNEL=="assd", OWNER="nfc", GROUP="nfc", MODE="0660"
ACTION=="add", KERNEL=="st21nfc", OWNER="nfc", GROUP="nfc", MODE="0660"
ACTION=="add", KERNEL=="st54spi_gpio", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="uio0", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="uio1", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="uio2", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="subsys_*", OWNER="system", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="remoteproc*", OWNER="system", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="usf1", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="ramdump*", OWNER="system", GROUP="system", MODE="0640"
ACTION=="add", KERNEL=="qbt*", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="hbtp_input", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="hbtp_vm", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="block/platform/soc/7824900.sdhci/by-name/config", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/7464900.sdhci/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/624000.ufshc/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/1da4000.ufshc/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/c0c4000.sdhci/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/1d84000.ufshc/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/7c4000.sdhci/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/4744000.sdhci/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/4804000.ufshc/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/7c4000.sdhci/by-name/rawdump", OWNER="root", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="block/platform/soc/1d84000.ufshc/by-name/rawdump", OWNER="root", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="block/platform/soc/4804000.ufshc/by-name/rawdump", OWNER="root", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/platform/soc/8804000.sdhci/by-name/frp", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="block/by-name/persistent", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="block/by-name/steady", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="block/platform/soc/1d84000.ufshc/by-name/param", OWNER="root", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="kmsg", OWNER="root", GROUP="system", MODE="0620"
ACTION=="add", KERNEL=="msm_npu", OWNER="system", GROUP="system", MODE="0644"
ACTION=="add", KERNEL=="als_rear", OWNER="system", GROUP="system", MODE="0600"
ACTION=="add", KERNEL=="proca_config", OWNER="system", GROUP="system", MODE="0440"
ACTION=="add", KERNEL=="k250a", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="cec*", OWNER="system", GROUP="system", MODE="0660"
ACTION=="add", KERNEL=="power_on_alarm", OWNER="system", GROUP="radio", MODE="0664"
